# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "stun"
version = "0.1.14"
authors = ["Rain Liu <yuliu@webrtc.rs>"]
description = "A pure Rust implementation of STUN"
homepage = "https://webrtc.rs"
documentation = "https://docs.rs/stun"
license = "MIT"
repository = "https://github.com/webrtc-rs/stun"

[[example]]
name = "stun_client"
path = "examples/stun_client.rs"
bench = false

[[example]]
name = "stun_decode"
path = "examples/stun_decode.rs"
bench = false
[dependencies.base64]
version = "0.13.0"

[dependencies.crc32fast]
version = "1.2.1"

[dependencies.lazy_static]
version = "1.3.0"

[dependencies.md-5]
version = "0.9.1"

[dependencies.rand]
version = "0.8.0"

[dependencies.ring]
version = "0.16.19"

[dependencies.subtle]
version = "2.1.1"

[dependencies.tokio]
version = "1.0"
features = ["full"]

[dependencies.url]
version = "2.2.0"

[dependencies.util]
version = "0.1.6"
package = "webrtc-util"
[dev-dependencies.clap]
version = "2"

[dev-dependencies.tokio-test]
version = "0.4"
